<template>
  <div>
    <el-popconfirm
        title="确定删除该阶段吗？"
        @confirm="onDel"
    >
      <el-button size="mini" type="text" slot="reference">删 除</el-button>
    </el-popconfirm>
  </div>
</template>

<script>
export default {
  name: "delStage",
  props:['data'],
  methods:{
    async onDel(){
      console.log(this.data,'删除')
      const res = await this.$api.requested({
        "id": 20221128143704,
        "content": {
          "sa_projstagemagids":[this.data.sa_projstagemagid]
        }
      })
      this.tool.showMessage(res,()=>{
        this.$emit('onSuccess')
      })
    }
  }
}
</script>

<style scoped>

</style>